> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powertokens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedance Query Video Generation Task

> Query the status of a video generation task.

> Only supports the last 7 days of task records, time range [T-7 days, T), where T is the UTC timestamp (seconds) of the request. Note: Video URLs are valid for 14 days; please download or save them promptly.



## OpenAPI

````yaml api-reference/en/zmodelVideo/byteplus/seedance/seedance-tasks-query.json GET /byteplus/api/v3/contents/generations/tasks/{id}
openapi: 3.0.1
info:
  title: Seedance Query Video Generation Task
  version: 1.0.0
  description: >-
    Query the status of a video generation task.


    > Only supports the last 7 days of task records, time range [T-7 days, T),
    where T is the UTC timestamp (seconds) of the request. Note: Video URLs are
    valid for 14 days; please download or save them promptly.


    ## Authentication


    This interface supports API Key authentication. See Authentication methods
    for details.
servers:
  - url: https://api.powertokens.ai
    description: Baze API server endpoint
security: []
paths:
  /byteplus/api/v3/contents/generations/tasks/{id}:
    get:
      summary: request
      description: >-
        Query the status of a video generation task.


        > Only supports the last 7 days of task records, time range [T-7 days,
        T), where T is the UTC timestamp (seconds) of the request. Note: Video
        URLs are valid for 14 days; please download or save them promptly.
      operationId: querySeedanceVideoTask
      parameters:
        - name: Content-Type
          in: header
          schema:
            type: string
            default: application/json
          description: Request content type.
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: >-
            The ID of the video generation task you need to query.


            > Note: The above parameters are Query String Parameters, passed in
            the URL string.
      responses:
        '200':
          description: response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueryVideoTaskResponse'
              example:
                id: cgt-2026****-****
                model: doubao-seedance-2-0-260128
                status: succeeded
                content:
                  video_url: >-
                    https://ark-content-generation-cn-beijing.tos-cn-beijing.volces.com/xxx
                usage:
                  completion_tokens: 108900
                  total_tokens: 108900
                created_at: 1779348818
                updated_at: 1779348874
                seed: 78674
                resolution: 720p
                ratio: '16:9'
                duration: 5
                framespersecond: 24
                service_tier: default
                execution_expires_after: 172800
                generate_audio: true
                draft: false
                priority: 0
        '400':
          description: Invalid request parameters.
        '401':
          description: Authentication failed.
        '429':
          description: Request rate limit exceeded.
        '500':
          description: Internal server error.
      security:
        - BearerAuth: []
components:
  schemas:
    QueryVideoTaskResponse:
      type: object
      properties:
        id:
          type: string
          description: Video generation task ID.
        model:
          type: string
          description: >-
            The model name and version used by the task, in `model_name-version`
            format.
        status:
          type: string
          enum:
            - queued
            - running
            - cancelled
            - succeeded
            - failed
            - expired
          description: >-
            Task status and related information:


            * `queued`: In queue.

            * `running`: Task running.

            * `cancelled`: Task cancelled, automatically deleted after 24h (only
            queued tasks can be cancelled).

            * `succeeded`: Task successful.

            * `failed`: Task failed.

            * `expired`: Task timed out.`: Task failed.

            * `expired`: Task timed out.
        error:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ErrorObject'
          description: >-
            Error message. Returns `null` on success, returns error data on
            failure.
        created_at:
          type: integer
          description: Unix timestamp (seconds) of task creation time.
        updated_at:
          type: integer
          description: Unix timestamp (seconds) of the current status update time.
        content:
          allOf:
            - $ref: '#/components/schemas/TaskContent'
          description: The output content of the video generation task.
        seed:
          type: integer
          description: The seed integer value used for this request.
        resolution:
          type: string
          description: The resolution of the generated video.
        ratio:
          type: string
          description: The aspect ratio of the generated video.
        duration:
          type: integer
          description: >-
            The duration of the generated video, in seconds.


            Note: **Only one of `duration` and `frames` will be returned**. If
            `frames` was not specified in the task creation, `duration` is
            returned.
        frames:
          type: integer
          description: >-
            The number of frames of the generated video.


            Note: **Only one of `duration` and `frames` will be returned**. If
            `frames` was specified in the task creation, `frames` is returned.
        framespersecond:
          type: integer
          description: The frame rate of the generated video.
        generate_audio:
          type: boolean
          description: >-
            Whether the generated video contains synchronized audio. Only
            returned for seedance 2.0 & 2.0 fast, seedance 1.5 pro.


            * `true`: The output video contains synchronized audio.

            * `false`: The output video has no audio.
        tools:
          type: array
          description: >-
            The tools actually used by the model for this request. Not returned
            if no tools were used.
          items:
            $ref: '#/components/schemas/TaskTool'
        safety_identifier:
          type: string
          description: >-
            Unique identifier of the end user. If this parameter was set when
            creating the video generation task, the API returns it as-is.
        priority:
          type: integer
          description: The execution priority of the current request.
        draft:
          type: boolean
          description: >-
            Whether the generated video is a Draft video. Only returned for
            seedance 1.5 pro.


            * `true`: The current output is a Draft video.

            * `false`: The current output is a normal video.
        draft_task_id:
          type: string
          description: >-
            Draft video task ID. Returned when generating the final video based
            on a Draft video.
        service_tier:
          type: string
          description: The actual service tier used to process the task.
        execution_expires_after:
          type: integer
          description: Task timeout threshold, in seconds.
        usage:
          allOf:
            - $ref: '#/components/schemas/TaskUsage'
          description: Token usage for this request.
    ErrorObject:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        message:
          type: string
          description: Error message.
    TaskContent:
      type: object
      properties:
        video_url:
          type: string
          description: >-
            The URL of the generated video in mp4 format. Valid for 14 days;
            please download or save it promptly.
        last_frame_url:
          type: string
          description: >-
            The URL of the video's last frame image. Valid for 14 days; please
            download or save it promptly. Note: Returned when
            `"return_last_frame": true` is set during task creation.
    TaskTool:
      type: object
      properties:
        type:
          type: string
          enum:
            - web_search
          description: |-
            The type of tool actually used.

            * web_search: Web search tool.
    TaskUsage:
      type: object
      properties:
        completion_tokens:
          type: integer
          description: >-
            The number of tokens consumed by the model for video generation,
            used for billing reconciliation.


            > seedance 2.0 series models have a minimum token usage limit. If
            actual token usage < minimum token usage, this field returns the
            minimum token usage, and billing is based on the minimum.
        total_tokens:
          type: integer
          description: >-
            The total number of tokens consumed for this request. Video
            generation models do not count input tokens (input tokens = 0), so
            `total_tokens` = `completion_tokens`.
        tool_usage:
          allOf:
            - $ref: '#/components/schemas/ToolUsage'
          description: Tool usage information.
    ToolUsage:
      type: object
      properties:
        web_search:
          type: integer
          description: >-
            The actual number of web search calls, only returned when web search
            is enabled.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Pass `Authorization: Bearer <token>` in the request header.'

````